<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="http://struts.apache.org/tags-tiles-el" prefix="tiles"%>
<%@ taglib uri="http://struts.apache.org/tags-logic-el" prefix="logic"%>
<%@ taglib uri="http://struts.apache.org/tags-html-el" prefix="html"%>
<%@ taglib uri="http://struts.apache.org/tags-bean-el" prefix="bean"%>

<%@ include file="/jsp/common/MessageBox.jsp" %>

<c:set var="pageConfig" value="${HomePageForm}" scope="page" />

<c:forEach items="${pageConfig.sections}" var="section">
	<%--if the section has at least 1 viewable task then render the section --%>
	<c:if test="${!empty pageConfig.sectionToTaskMap[section]}">
		<div class="iconSection" id="<c:out value="${section.titleKey}"/>">
		<div class="iconSectionTitle">
		<h4><fmt:message key="${section.titleKey}" /></h4>
		<c:if test="${!empty section.iconUrl}">
			<img src="/itim/self<c:out value="${section.iconUrl}"/>"
				alt="<fmt:message key="${section.iconAltTextKey}"/>" />
		</c:if></div>
		<div class="iconSectionLinks">
		<ul>
			<c:forEach items="${pageConfig.sectionToTaskMap[section]}" var="task">
				<li><c:choose>
					<%--If the section is the actoin needed section, then the content
							    	of the task list is the already translated messages
							    	just print the value out.  Otherwise use regular task
							    	html --%>
					<c:when test="${section == pageConfig.actionNeededSection}">
						<c:out value="${task}" escapeXml="false" />
					</c:when>
					<c:otherwise>
						<a href="/itim/self/<c:out value="${task.urlPath}"/>" title="<fmt:message key="${task.urlKey}" />">
						<fmt:message key="${task.urlKey}" /></a>
						<br>
						<fmt:message key="${task.descriptionKey}" />
					</c:otherwise>
				</c:choose></li>
			</c:forEach>
		</ul>
		</div>
		</div>
	</c:if>
</c:forEach>
